<template>
    <nav>

        <v-snackbar v-model="snackbar" :timeout="4000" top color="green">
            <span>Awesome! You added a new update.</span>
            <v-btn text color="white" @click="snackbar=false">Close</v-btn>
        </v-snackbar>

        <v-toolbar flat app>
            <v-app-bar-nav-icon class="grey--text" @click="drawer = !drawer"></v-app-bar-nav-icon>
            <v-toolbar-title class="text-uppercase grey--text">
                <v-container fill-height fluid>
                    <v-row align="center" justify="center">
                        <img height="30px" :src="bitcoin" />
                        <span class="font-weight-light pl-1">Bitcoin</span>
                        <span>Charts</span>
                    </v-row>
                </v-container>   
            </v-toolbar-title>
            <v-spacer></v-spacer>
            <v-menu offset-y>
                <template v-slot:activator="{ on, attrs }">
                    <v-btn
                    text
                    small
                    v-bind="attrs"
                    v-on="on"
                    >
                        <v-icon>expand_more</v-icon>
                        <span>Menu</span>
                    </v-btn>
                </template>
                <v-list>
                    <v-list-item
                    v-for="item in items"
                    :key="item.title"
                    router :to="item.route"
                    >
                    <v-list-item-title>{{ item.title }}</v-list-item-title>
                    </v-list-item>
                </v-list>
            </v-menu>
            <v-btn text small>
                <span>Sign out</span>
                <v-icon right>exit_to_app</v-icon>
            </v-btn>
        </v-toolbar>
        <v-navigation-drawer app v-model="drawer" temporary>
            <v-list-item>
                <v-list-item-content>
                <v-list-item-title class="title text-center">
                   Menu
                </v-list-item-title>
                </v-list-item-content>
            </v-list-item>

            <v-divider></v-divider>

            <v-list
                dense
                nav
            >
                <v-list-item
                v-for="item in items"
                :key="item.title"
                router :to="item.route"
                >
                <v-list-item-icon>
                    <v-icon>{{ item.icon }}</v-icon>
                </v-list-item-icon>

                <v-list-item-content>
                    <v-list-item-title>{{ item.title }}</v-list-item-title>
                </v-list-item-content>
                </v-list-item>
            </v-list>

            <div v-if="isAdmin">
                <div class="title text-center">
                    Admin Menu
                </div>
                <v-divider></v-divider>
                <v-row class="mt-5" justify="center">
                    <Popup @updateAdded="snackbar=true" />
                    <v-btn
                    small
                    color="error"
                    class="mt-2 mb-2"
                    >
                        <v-icon small>error_outline</v-icon>
                        Shut down server
                        <v-icon small>error_outline</v-icon>
                    </v-btn>
                </v-row>
            </div>
        </v-navigation-drawer>
    </nav>
</template>

<script>
import Popup from './Popup';
export default {
    components: { Popup },
    data() {
        return {
            items: [
                { title: 'Home', icon: 'mdi-home', route: '/'},
                { title: 'Dashboard', icon: 'mdi-view-dashboard', route: '/charts'},
                { title: 'About', icon: 'mdi-help-box', route: '/about'},
                { title: 'Next Updates', icon: 'mdi-update', route: '/nextUpdates'},
                { title: 'Team', icon: 'people', route: '/team'},
            ],
            drawer: false,
            right: null,
            bitcoin: "./../logoB.png",
            isAdmin: true,
            snackbar: false
        }
    }
}
</script>

<style scoped>

</style>